Skip to main content

Get Started

All Tight API entities have a customData parameter. Use this parameter to attach freeform JSON data to Tight API entities. Custom data can be used to add additional, structured information on an entity. For example, you can add an internal identifier to a Bank Transaction or specialized tax info on a user’s General Ledger accounts:
curl -X POST https://sandbox.tight.com/v6/banks/transactions \
-H 'Authorization: Bearer <access_token>' \
-D '[{
        "id": "btn_936723",
        "customData": {
            "internal_key": "some_internal_key",
            "some_other_field": 23434
        }
    }]'
customData can support up to 50 fields and up to 2000 characters of freeform JSON data
Once added, this bank transaction’s customData will be included anywhere else the transaction can be fetched from the Tight API. For example, the response to the following request includes the customData set on this bank transaction:
curl -X GET 'https://sandbox.tight.com/v6/banks/transactions/btn_936723' \
-H 'Authorization: Bearer <access_token>'
{
    "result": "SUCCESS",
    "data": {
        "id": "btn_936723",
        "type": "REVENUE",
        "amount": 15399,
        "customData": {
            "internal_key": "some_internal_key",
            "some_other_field": 23434
        }
        /* remainder of the properties on this bank transaction */
    },
    "error": []
}
The customData object now appears in the response, you can leverage this functionality to enhance integrations, reporting, or internal workflows.

Filter on custom data

Coming soon